XmStringNCopy(3Xm)

NAME
XmStringNCopy — a compound string function that creates a copy of a compound string.

SYNOPSIS
#include <Xm/Xm.h>

XmString XmStringNCopy (s1, num_bytes)
    XmString    s1;
    int    num_bytes;

DESCRIPTION
XmStringNCopy creates a copy of s1 which contains a specified number of bytes, including tags, directional indicators, and separators. It then returns the resulting compound string. The original strings are preserved. The space for the resulting compound string is allocated within the function. The application is responsible for managing the allocated space. The memory can be recovered by calling XmStringFree.

s1  Specifies the compound string.

num_bytes
    Specifies the number of bytes of s1 to copy. If this value is less than the length of s1, the resulting string will not be a valid compound string.

RETURN VALUE
Returns a new compound string.

RELATED INFORMATION
XmStringCreate(3Xm) and XmStringFree(3Xm).